Page MenuHomePhabricator

SyntaxError's when adding statements
Closed, ResolvedPublic

Description

Getting various errors when adding statements, not sure what is going on:

  • SyntaxError: JSON Parse error: Unexpected EOF
  • SyntaxError: Unexpected end of JSON input
  • SyntaxError: JSON.parse: unexpected end of data at line 1 column 1 of the JSON data

Details

Related Gerrit Patches:
mediawiki/extensions/Wikidata : wmf/1.28.0-wmf.6Update Wikidata - Fix broken editing of statements
mediawiki/extensions/Wikibase : masterFix construction of MediaWikiPageNameNormalizer in WikibaseRepo

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 29 2016, 7:17 PM
Sjoerddebruin triaged this task as Unbreak Now! priority.Jun 29 2016, 7:18 PM
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptJun 29 2016, 7:18 PM
Sjoerddebruin renamed this task from "SyntaxError: JSON Parse error: Unexpected EOF" when adding statements to "SyntaxError: JSON Parse error: Unexpected EOF" or "SyntaxError: Unexpected end of JSON input" when adding statements.Jun 29 2016, 7:22 PM
Sjoerddebruin updated the task description. (Show Details)
Sjoerddebruin renamed this task from "SyntaxError: JSON Parse error: Unexpected EOF" or "SyntaxError: Unexpected end of JSON input" when adding statements to SyntaxError's when adding statements.EditedJun 29 2016, 7:27 PM
Sjoerddebruin updated the task description. (Show Details)

Wikidata was rollbacked to 0.28.0-wmf.7 to make it possible to add statements again, @aude will look what she can do.

aude added a comment.Jun 29 2016, 8:05 PM

problem is:

Catchable fatal error: Argument 1 passed to MediaWiki\\Site\\MediaWikiPageNameNormalizer::__construct() must be an instance of Http, string given in /var/www/wiki/w/includes/site/MediaWikiPageNameNormalizer.php on line 51

introduced in https://gerrit.wikimedia.org/r/#/c/295939/ :(

Change 296648 had a related patch set uploaded (by Aude):
Fix construction of MediaWikiPageNameNormalizer in WikibaseRepo

https://gerrit.wikimedia.org/r/296648

Change 296648 abandoned by Aude:
Fix construction of MediaWikiPageNameNormalizer in WikibaseRepo

Reason:
already fixed on master in https://gerrit.wikimedia.org/r/#/c/295942/

https://gerrit.wikimedia.org/r/296648

hashar updated the task description. (Show Details)Jun 30 2016, 9:25 AM

Change 296701 had a related patch set uploaded (by Aude):
Update Wikidata - Fix broken editing of statements

https://gerrit.wikimedia.org/r/296701

Change 296701 merged by jenkins-bot:
Update Wikidata - Fix broken editing of statements

https://gerrit.wikimedia.org/r/296701

Mentioned in SAL [2016-06-30T15:34:19Z] <thcipriani@tin> Synchronized php-1.28.0-wmf.8/extensions/Wikidata/extensions/Wikibase/repo/includes/WikibaseRepo.php: SWAT: [[gerrit:296701|Update Wikidata - Fix broken editing of statements (T138974)]] (duration: 00m 31s)

Mentioned in SAL [2016-06-30T15:36:07Z] <thcipriani@tin> Synchronized php-1.28.0-wmf.7/extensions/Wikidata/extensions/Wikibase/repo/includes/WikibaseRepo.php: SWAT: [[gerrit:296701|Update Wikidata - Fix broken editing of statements (T138974)]] (duration: 00m 25s)

daniel added a subscriber: daniel.Jun 30 2016, 10:46 PM

Can someone explain to me how this happened? I'm not seeing any code that tried to pass a string to the constructor of MediaWikiPageNameNormalizer. The line number in the error message also doesn't quite match... I'm confused.

hoo closed this task as Resolved.Jul 1 2016, 11:28 PM
hoo claimed this task.
hoo removed a project: Patch-For-Review.

Can someone explain to me how this happened? I'm not seeing any code that tried to pass a string to the constructor of MediaWikiPageNameNormalizer. The line number in the error message also doesn't quite match... I'm confused.

0038bfa7629cdedc9c1222088c1278f5a2f52391 was not deployed, while 5f1a4a3dfc049a742184d5690d211fb0321c9b9d was (because MediaWiki gets updated more often than Wikibase). That's it.